Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class ServerInfo

    java.lang.Object
      |
      +--org.apache.catalina.util.ServerInfo

public class ServerInfo
extends java.lang.Object

Simple utility module to make it easy to plug in the server identifier when integrating Tomcat.

Version:
  $Revision: 1.1 $ $Date: 2001/12/21 21:15:45 $
Author:
  Craig R. McClanahan

Constructor Summary
`ServerInfo()`

Method Summary
`static java.lang.String` | `getServerInfo()` Return the server identification for this version of Tomcat.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerInfo

    public ServerInfo()

Method Detail

### getServerInfo

    public static java.lang.String getServerInfo()

  Return the server identification for this version of Tomcat.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.